import { getLogger, Logger } from 'pinus-logger';

let logger: Logger;
let infologger: Logger;
let errlogger: Logger;
let taLogger: Logger;
let itemLogger: Logger;

export function loadLogger(sid: string) {
    logger = getLogger();
    infologger = getLogger('info', sid);
    errlogger = getLogger('err', sid);
    taLogger = getLogger('ta');
    itemLogger = getLogger('item');
}

export {
    logger,
    infologger,
    errlogger,
    taLogger,
    itemLogger
}